<div *ngIf="allData else loading"  class="float-left w-100 h-100 p-2 container bg-light text_darkmode">
    
    <div class="tab_container" style="flex:1;">
        <mat-tab-group animationDuration="0ms">
            <mat-tab *ngFor="let tab of tabs; let i = index" label="{{tab}}"> 
                
                <div class="content">
                    <tab    
                        *ngIf="getTabType(tab) == 'standard'" 
                        [config]="configTab[tab]" 
                        [name]="tab" 
                        [data]="allData[tab]" 
                        (result)="getChanges(tab, $event)">
                    </tab>  
                    
                    <tab-list 
                        *ngIf="getTabType(tab) == 'list'" 
                        [name]="tab" 
                        [data]="allData[tab]" 
                        (result)="getChanges(tab, $event)">
                    </tab-list>  
                </div>
                
            </mat-tab>
        </mat-tab-group>
    </div>

    <div class="action_container" style="flex:1;">
        <button [disabled]="!formValid"
            class="mr-2 btn btn-md action fs16 MontserratR"  
            [ngClass]="{'btn-light': bSaved == true, 'btn-danger': bSaved ===false}" 
            (click)="saveAnagrafica()">
            Submit Changes to Database
        </button>
    </div>
</div>

<ng-template #loading>
    <div class="float-left w-100 h-100 p-3 container2 bg-light text_darkmode">
        <div class="text fs18 MontserratR">
            Download Details per Commessa ID {{ id }}
        </div>
        <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>

    </div>
</ng-template>